Bug 389339

Summary: Kontact crashes when creating a new contact
Product: [Applications] kontact Reporter: ubuntiger <wohnens>
Component: generalAssignee: kdepim bugs <kdepim-bugs>
Status: RESOLVED WORKSFORME    
Severity: crash CC: lrajchel1981, redtid3, sunweb, wohnens
Priority: NOR Keywords: drkonqi
Version: 5.7.2   
Target Milestone: ---   
Platform: Fedora RPMs   
OS: Linux   
Latest Commit: Version Fixed In:

Description ubuntiger 2018-01-23 10:09:19 UTC
Application: kontact (5.7.0)

Qt Version: 5.9.2
Frameworks Version: 5.42.0
Operating System: Linux 4.14.13-300.fc27.x86_64 x86_64
Distribution (Platform): Fedora RPMs

-- Information about the crash:
- What I was doing when the application crashed:
Creation of a new contact in kontact, when pressing the "OK" button
Crashes indepentently of the address book chosen: Default "Persönliche Kontakte" (= Personal contacts?) or CardDAV

- Unusual behavior I noticed:
The tab "Ort" (= Location) of the window "Neuer Kontakt" (=New contact) shows the error message
"Fehlende Module. Bitte überprüfen Sie Ihre Installation"
(=Missing module, please check your installation)

Trying to find missing modules:
root@machine ubuntiger]# kontact --list
QStandardPaths: XDG_RUNTIME_DIR not set, defaulting to '/tmp/runtime-root'
QStandardPaths: XDG_RUNTIME_DIR not set, defaulting to '/tmp/runtime-root'
"KConfigIni: In file /usr/share/applications/fedora-release-notes.webapp.desktop, line 7: " "Invalid escape sequence \"\\\"\"."
"KConfigIni: In file /usr/share/applications/fedora-release-notes.webapp.desktop, line 7: " "Invalid escape sequence \"\\$\"."
"KConfigIni: In file /usr/share/applications/fedora-release-notes.webapp.desktop, line 7: " "Invalid escape sequence \"\\\"\"."
"KConfigIni: In file /usr/share/applications/fedora-release-notes.webapp.desktop, line 7: " "Invalid escape sequence \"\\$\"."
"KConfigIni: In file /usr/share/applications/fedora-release-notes.webapp.desktop, line 7: " "Invalid escape sequence \"\\$\"."
"KConfigIni: In file /usr/share/applications/fedora-release-notes.webapp.desktop, line 7: " "Invalid escape sequence \"\\$\"."
"KConfigIni: In file /usr/share/applications/fedora-release-notes.webapp.desktop, line 7: " "Invalid escape sequence \"\\$\"."
"KConfigIni: In file /usr/share/applications/fedora-release-notes.webapp.desktop, line 7: " "Invalid escape sequence \"\\$\"."
lib name korganizerplugin
lib name kmailplugin
lib name kaddressbookplugin
lib name akregatorplugin
lib name journalplugin
lib name todoplugin
lib name summaryplugin

Changing line 7 of /usr/share/applications/fedora-release-notes.webapp.desktop from
Original:
Exec=sh -c "PROFILEDIR=\"\$HOME/.config/epiphany/fedora-release-notes\";DOC="/usr/share/doc/fedora-release-notes/index.html"; [ -d \$PROFILEDIR ] || mkdir \$PROFILEDIR;epiphany --application-mode --profile=\$PROFILEDIR \$DOC || xdg-open \$DOC " 
to New:
Exec=sh -c "PROFILEDIR=$HOME"/.config/epiphany/fedora-release-notes";DOC="/usr/share/doc/fedora-release-notes/index.html"; [ -d $PROFILEDIR ] || mkdir $PROFILEDIR;epiphany --application-mode --profile=$PROFILEDIR $DOC || xdg-open $DOC
seems to be formally correct. But I do NOT understand that line, so I do NOT know if this is also technically correct.
And I have no idea if this is related to the problem or if it is another topic.
At least it looks better:

[root@machine ubuntiger]# kontact --list
QStandardPaths: XDG_RUNTIME_DIR not set, defaulting to '/tmp/runtime-root'
QStandardPaths: XDG_RUNTIME_DIR not set, defaulting to '/tmp/runtime-root'
lib name journalplugin
lib name akregatorplugin
lib name todoplugin
lib name kaddressbookplugin
lib name kmailplugin
lib name korganizerplugin
lib name summaryplugin

System is original Fedora 27 with all updates (dnf update) available as of today.

The crash can be reproduced every time.

-- Backtrace:
Application: Kontact (kontact), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fe78ae04900 (LWP 7123))]

Thread 29 (Thread 0x7fe61eac0700 (LWP 7295)):
#0  0x00007fe78441836b in poll () at /lib64/libc.so.6
#1  0x00007fe774569ed9 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#2  0x00007fe774569fec in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#3  0x00007fe78528335b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#4  0x00007fe7852310ea in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#5  0x00007fe7850828ba in QThread::exec() () at /lib64/libQt5Core.so.5
#6  0x00007fe785086b92 in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#7  0x00007fe7790cd61b in start_thread () at /lib64/libpthread.so.0
#8  0x00007fe78442491f in clone () at /lib64/libc.so.6

Thread 28 (Thread 0x7fe62b9ea700 (LWP 7227)):
#0  0x00007fe7745af434 in g_mutex_unlock () at /lib64/libglib-2.0.so.0
#1  0x00007fe774569879 in g_main_context_check () at /lib64/libglib-2.0.so.0
#2  0x00007fe774569e80 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#3  0x00007fe774569fec in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#4  0x00007fe78528335b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#5  0x00007fe7852310ea in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#6  0x00007fe7850828ba in QThread::exec() () at /lib64/libQt5Core.so.5
#7  0x00007fe785086b92 in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#8  0x00007fe7790cd61b in start_thread () at /lib64/libpthread.so.0
#9  0x00007fe78442491f in clone () at /lib64/libc.so.6

Thread 27 (Thread 0x7fe638974700 (LWP 7192)):
#0  0x00007fe7745af419 in g_mutex_lock () at /lib64/libglib-2.0.so.0
#1  0x00007fe774569ebf in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#2  0x00007fe774569fec in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#3  0x00007fe78528335b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#4  0x00007fe7852310ea in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#5  0x00007fe7850828ba in QThread::exec() () at /lib64/libQt5Core.so.5
#6  0x00007fe785086b92 in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#7  0x00007fe7790cd61b in start_thread () at /lib64/libpthread.so.0
#8  0x00007fe78442491f in clone () at /lib64/libc.so.6

Thread 26 (Thread 0x7fe639583700 (LWP 7188)):
#0  0x00007fe7790d3c4b in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007fe77da2be85 in base::SequencedWorkerPool::Inner::ThreadLoop(base::SequencedWorkerPool::Worker*) () at /lib64/libQt5WebEngineCore.so.5
#2  0x00007fe77da2c367 in base::SequencedWorkerPool::Worker::Run() () at /lib64/libQt5WebEngineCore.so.5
#3  0x00007fe77da2d101 in base::SimpleThread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#4  0x00007fe77da297cb in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#5  0x00007fe7790cd61b in start_thread () at /lib64/libpthread.so.0
#6  0x00007fe78442491f in clone () at /lib64/libc.so.6

Thread 25 (Thread 0x7fe639d84700 (LWP 7187)):
#0  0x00007fe7790d3c4b in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007fe77da2be85 in base::SequencedWorkerPool::Inner::ThreadLoop(base::SequencedWorkerPool::Worker*) () at /lib64/libQt5WebEngineCore.so.5
#2  0x00007fe77da2c367 in base::SequencedWorkerPool::Worker::Run() () at /lib64/libQt5WebEngineCore.so.5
#3  0x00007fe77da2d101 in base::SimpleThread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#4  0x00007fe77da297cb in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#5  0x00007fe7790cd61b in start_thread () at /lib64/libpthread.so.0
#6  0x00007fe78442491f in clone () at /lib64/libc.so.6

Thread 24 (Thread 0x7fe641163700 (LWP 7178)):
#0  0x00007fe78441836b in poll () at /lib64/libc.so.6
#1  0x00007fe774569ed9 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#2  0x00007fe774569fec in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#3  0x00007fe78528335b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#4  0x00007fe7852310ea in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#5  0x00007fe7850828ba in QThread::exec() () at /lib64/libQt5Core.so.5
#6  0x00007fe785086b92 in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#7  0x00007fe7790cd61b in start_thread () at /lib64/libpthread.so.0
#8  0x00007fe78442491f in clone () at /lib64/libc.so.6

Thread 23 (Thread 0x7fe64e608700 (LWP 7165)):
#0  0x00007fe7745af419 in g_mutex_lock () at /lib64/libglib-2.0.so.0
#1  0x00007fe774569de0 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#2  0x00007fe774569fec in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#3  0x00007fe78528335b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#4  0x00007fe7852310ea in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#5  0x00007fe7850828ba in QThread::exec() () at /lib64/libQt5Core.so.5
#6  0x00007fe785086b92 in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#7  0x00007fe7790cd61b in start_thread () at /lib64/libpthread.so.0
#8  0x00007fe78442491f in clone () at /lib64/libc.so.6

Thread 22 (Thread 0x7fe6577fe700 (LWP 7155)):
#0  0x00007fe7745af410 in g_mutex_lock () at /lib64/libglib-2.0.so.0
#1  0x00007fe774569ebf in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#2  0x00007fe774569fec in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#3  0x00007fe78528335b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#4  0x00007fe7852310ea in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#5  0x00007fe7850828ba in QThread::exec() () at /lib64/libQt5Core.so.5
#6  0x00007fe785086b92 in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#7  0x00007fe7790cd61b in start_thread () at /lib64/libpthread.so.0
#8  0x00007fe78442491f in clone () at /lib64/libc.so.6

Thread 21 (Thread 0x7fe657fff700 (LWP 7154)):
#0  0x00007fe78441836b in poll () at /lib64/libc.so.6
#1  0x00007fe774569ed9 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#2  0x00007fe774569fec in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#3  0x00007fe78528335b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#4  0x00007fe7852310ea in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#5  0x00007fe7850828ba in QThread::exec() () at /lib64/libQt5Core.so.5
#6  0x00007fe785086b92 in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#7  0x00007fe7790cd61b in start_thread () at /lib64/libpthread.so.0
#8  0x00007fe78442491f in clone () at /lib64/libc.so.6

Thread 20 (Thread 0x7fe65cf38700 (LWP 7153)):
#0  0x00007fe774566e98 in g_source_iter_next () at /lib64/libglib-2.0.so.0
#1  0x00007fe77456936b in g_main_context_prepare () at /lib64/libglib-2.0.so.0
#2  0x00007fe774569e0b in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#3  0x00007fe774569fec in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#4  0x00007fe78528335b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#5  0x00007fe7852310ea in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#6  0x00007fe7850828ba in QThread::exec() () at /lib64/libQt5Core.so.5
#7  0x00007fe785086b92 in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#8  0x00007fe7790cd61b in start_thread () at /lib64/libpthread.so.0
#9  0x00007fe78442491f in clone () at /lib64/libc.so.6

Thread 19 (Thread 0x7fe6e7fff700 (LWP 7152)):
#0  0x00007fe7790d3c4b in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007fe76ba78604 in QTWTF::TCMalloc_PageHeap::scavengerThread() () at /lib64/libQt5Script.so.5
#2  0x00007fe76ba78649 in  () at /lib64/libQt5Script.so.5
#3  0x00007fe7790cd61b in start_thread () at /lib64/libpthread.so.0
#4  0x00007fe78442491f in clone () at /lib64/libc.so.6

Thread 18 (Thread 0x7fe718ff9700 (LWP 7149)):
#0  0x00007fe78443343c in __lll_lock_wait_private () at /lib64/libc.so.6
#1  0x00007fe784435214 in __fprintf_chk () at /lib64/libc.so.6
#2  0x00007fe7713b03e0 in _warn_helper () at /lib64/libevent-2.0.so.5
#3  0x00007fe7713b05a4 in event_warn () at /lib64/libevent-2.0.so.5
#4  0x00007fe7713b4d40 in epoll_dispatch () at /lib64/libevent-2.0.so.5
#5  0x00007fe77139f8de in event_base_loop () at /lib64/libevent-2.0.so.5
#6  0x00007fe77d9fccb9 in base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) () at /lib64/libQt5WebEngineCore.so.5
#7  0x00007fe77d9f8f88 in base::MessageLoop::RunHandler() () at /lib64/libQt5WebEngineCore.so.5
#8  0x00007fe77da159cb in base::RunLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#9  0x00007fe77da2d6c6 in base::Thread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#10 0x00007fe77da297cb in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#11 0x00007fe7790cd61b in start_thread () at /lib64/libpthread.so.0
#12 0x00007fe78442491f in clone () at /lib64/libc.so.6

Thread 17 (Thread 0x7fe7197fa700 (LWP 7148)):
#0  0x00007fe7790d3c4b in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007fe77da21b69 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at /lib64/libQt5WebEngineCore.so.5
#2  0x00007fe77da21b97 in base::WaitableEvent::Wait() () at /lib64/libQt5WebEngineCore.so.5
#3  0x00007fe77d9fc6bb in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () at /lib64/libQt5WebEngineCore.so.5
#4  0x00007fe77d9f8f88 in base::MessageLoop::RunHandler() () at /lib64/libQt5WebEngineCore.so.5
#5  0x00007fe77da159cb in base::RunLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#6  0x00007fe77da2d6c6 in base::Thread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#7  0x00007fe77da297cb in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#8  0x00007fe7790cd61b in start_thread () at /lib64/libpthread.so.0
#9  0x00007fe78442491f in clone () at /lib64/libc.so.6

Thread 16 (Thread 0x7fe719ffb700 (LWP 7147)):
#0  0x00007fe7844334f2 in __libc_disable_asynccancel () at /lib64/libc.so.6
#1  0x00007fe78441389d in read () at /lib64/libc.so.6
#2  0x00007fe75978d941 in pa_read () at /usr/lib64/pulseaudio/libpulsecommon-11.1.so
#3  0x00007fe759c13c9e in pa_mainloop_prepare () at /lib64/libpulse.so.0
#4  0x00007fe759c14710 in pa_mainloop_iterate () at /lib64/libpulse.so.0
#5  0x00007fe759c147d0 in pa_mainloop_run () at /lib64/libpulse.so.0
#6  0x00007fe759c22639 in thread () at /lib64/libpulse.so.0
#7  0x00007fe7597bcac8 in internal_thread_func () at /usr/lib64/pulseaudio/libpulsecommon-11.1.so
#8  0x00007fe7790cd61b in start_thread () at /lib64/libpthread.so.0
#9  0x00007fe78442491f in clone () at /lib64/libc.so.6

Thread 15 (Thread 0x7fe71a7fc700 (LWP 7146)):
#0  0x00007fe7790d414a in pthread_cond_timedwait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007fe77da5a8d2 in base::ConditionVariable::TimedWait(base::TimeDelta const&) () at /lib64/libQt5WebEngineCore.so.5
#2  0x00007fe77da21aee in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at /lib64/libQt5WebEngineCore.so.5
#3  0x00007fe77d9fc70b in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () at /lib64/libQt5WebEngineCore.so.5
#4  0x00007fe77d9f8f88 in base::MessageLoop::RunHandler() () at /lib64/libQt5WebEngineCore.so.5
#5  0x00007fe77da159cb in base::RunLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#6  0x00007fe77da2d6c6 in base::Thread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#7  0x00007fe77da297cb in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#8  0x00007fe7790cd61b in start_thread () at /lib64/libpthread.so.0
#9  0x00007fe78442491f in clone () at /lib64/libc.so.6

Thread 14 (Thread 0x7fe71affd700 (LWP 7145)):
#0  0x00007fe7790d3c4b in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007fe77e1aefa0 in cc::SingleThreadTaskGraphRunner::Run() () at /lib64/libQt5WebEngineCore.so.5
#2  0x00007fe77da2d101 in base::SimpleThread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#3  0x00007fe77da297cb in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#4  0x00007fe7790cd61b in start_thread () at /lib64/libpthread.so.0
#5  0x00007fe78442491f in clone () at /lib64/libc.so.6

Thread 13 (Thread 0x7fe71b7fe700 (LWP 7144)):
#0  0x00007fe7790d3c4b in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007fe77da2be85 in base::SequencedWorkerPool::Inner::ThreadLoop(base::SequencedWorkerPool::Worker*) () at /lib64/libQt5WebEngineCore.so.5
#2  0x00007fe77da2c367 in base::SequencedWorkerPool::Worker::Run() () at /lib64/libQt5WebEngineCore.so.5
#3  0x00007fe77da2d101 in base::SimpleThread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#4  0x00007fe77da297cb in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#5  0x00007fe7790cd61b in start_thread () at /lib64/libpthread.so.0
#6  0x00007fe78442491f in clone () at /lib64/libc.so.6

Thread 12 (Thread 0x7fe71bfff700 (LWP 7143)):
#0  0x00007fe7790d3c4b in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007fe77da21b69 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at /lib64/libQt5WebEngineCore.so.5
#2  0x00007fe77da21b97 in base::WaitableEvent::Wait() () at /lib64/libQt5WebEngineCore.so.5
#3  0x00007fe77d9fc6bb in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () at /lib64/libQt5WebEngineCore.so.5
#4  0x00007fe77d9f8f88 in base::MessageLoop::RunHandler() () at /lib64/libQt5WebEngineCore.so.5
#5  0x00007fe77da159cb in base::RunLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#6  0x00007fe77da2d6c6 in base::Thread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#7  0x00007fe77da297cb in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#8  0x00007fe7790cd61b in start_thread () at /lib64/libpthread.so.0
#9  0x00007fe78442491f in clone () at /lib64/libc.so.6

Thread 11 (Thread 0x7fe738ff9700 (LWP 7142)):
#0  0x00007fe78443343c in __lll_lock_wait_private () at /lib64/libc.so.6
#1  0x00007fe784435214 in __fprintf_chk () at /lib64/libc.so.6
#2  0x00007fe7713b03e0 in _warn_helper () at /lib64/libevent-2.0.so.5
#3  0x00007fe7713b05a4 in event_warn () at /lib64/libevent-2.0.so.5
#4  0x00007fe7713b4d40 in epoll_dispatch () at /lib64/libevent-2.0.so.5
#5  0x00007fe77139f8de in event_base_loop () at /lib64/libevent-2.0.so.5
#6  0x00007fe77d9fcdf3 in base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) () at /lib64/libQt5WebEngineCore.so.5
#7  0x00007fe77d9f8f88 in base::MessageLoop::RunHandler() () at /lib64/libQt5WebEngineCore.so.5
#8  0x00007fe77da159cb in base::RunLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#9  0x00007fe77d2fdf48 in content::BrowserThreadImpl::IOThreadRun(base::RunLoop*) () at /lib64/libQt5WebEngineCore.so.5
#10 0x00007fe77d2fe4fb in content::BrowserThreadImpl::Run(base::RunLoop*) () at /lib64/libQt5WebEngineCore.so.5
#11 0x00007fe77da2d778 in base::Thread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#12 0x00007fe77da297cb in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#13 0x00007fe7790cd61b in start_thread () at /lib64/libpthread.so.0
#14 0x00007fe78442491f in clone () at /lib64/libc.so.6

Thread 10 (Thread 0x7fe7397fa700 (LWP 7141)):
#0  0x00007fe7790d414a in pthread_cond_timedwait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007fe77da5a8d2 in base::ConditionVariable::TimedWait(base::TimeDelta const&) () at /lib64/libQt5WebEngineCore.so.5
#2  0x00007fe77da21aee in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at /lib64/libQt5WebEngineCore.so.5
#3  0x00007fe77d9fc70b in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () at /lib64/libQt5WebEngineCore.so.5
#4  0x00007fe77d9f8f88 in base::MessageLoop::RunHandler() () at /lib64/libQt5WebEngineCore.so.5
#5  0x00007fe77da159cb in base::RunLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#6  0x00007fe77d2fde98 in content::BrowserThreadImpl::CacheThreadRun(base::RunLoop*) () at /lib64/libQt5WebEngineCore.so.5
#7  0x00007fe77d2fe4eb in content::BrowserThreadImpl::Run(base::RunLoop*) () at /lib64/libQt5WebEngineCore.so.5
#8  0x00007fe77da2d778 in base::Thread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#9  0x00007fe77da297cb in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#10 0x00007fe7790cd61b in start_thread () at /lib64/libpthread.so.0
#11 0x00007fe78442491f in clone () at /lib64/libc.so.6

Thread 9 (Thread 0x7fe739ffb700 (LWP 7140)):
#0  0x00007fe7790d3c4b in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007fe77da21b69 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at /lib64/libQt5WebEngineCore.so.5
#2  0x00007fe77da21b97 in base::WaitableEvent::Wait() () at /lib64/libQt5WebEngineCore.so.5
#3  0x00007fe77d9fc6bb in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () at /lib64/libQt5WebEngineCore.so.5
#4  0x00007fe77d9f8f88 in base::MessageLoop::RunHandler() () at /lib64/libQt5WebEngineCore.so.5
#5  0x00007fe77da159cb in base::RunLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#6  0x00007fe77d2fdde8 in content::BrowserThreadImpl::ProcessLauncherThreadRun(base::RunLoop*) () at /lib64/libQt5WebEngineCore.so.5
#7  0x00007fe77d2fe4db in content::BrowserThreadImpl::Run(base::RunLoop*) () at /lib64/libQt5WebEngineCore.so.5
#8  0x00007fe77da2d778 in base::Thread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#9  0x00007fe77da297cb in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#10 0x00007fe7790cd61b in start_thread () at /lib64/libpthread.so.0
#11 0x00007fe78442491f in clone () at /lib64/libc.so.6

Thread 8 (Thread 0x7fe73a7fc700 (LWP 7139)):
#0  0x00007fe7790d3c4b in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007fe77da21b69 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at /lib64/libQt5WebEngineCore.so.5
#2  0x00007fe77da21b97 in base::WaitableEvent::Wait() () at /lib64/libQt5WebEngineCore.so.5
#3  0x00007fe77d9fc6bb in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () at /lib64/libQt5WebEngineCore.so.5
#4  0x00007fe77d9f8f88 in base::MessageLoop::RunHandler() () at /lib64/libQt5WebEngineCore.so.5
#5  0x00007fe77da159cb in base::RunLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#6  0x00007fe77d2fdd38 in content::BrowserThreadImpl::FileUserBlockingThreadRun(base::RunLoop*) () at /lib64/libQt5WebEngineCore.so.5
#7  0x00007fe77d2fe4cb in content::BrowserThreadImpl::Run(base::RunLoop*) () at /lib64/libQt5WebEngineCore.so.5
#8  0x00007fe77da2d778 in base::Thread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#9  0x00007fe77da297cb in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#10 0x00007fe7790cd61b in start_thread () at /lib64/libpthread.so.0
#11 0x00007fe78442491f in clone () at /lib64/libc.so.6

Thread 7 (Thread 0x7fe73affd700 (LWP 7138)):
#0  0x00007fe78443343c in __lll_lock_wait_private () at /lib64/libc.so.6
#1  0x00007fe784435214 in __fprintf_chk () at /lib64/libc.so.6
#2  0x00007fe7713b03e0 in _warn_helper () at /lib64/libevent-2.0.so.5
#3  0x00007fe7713b05a4 in event_warn () at /lib64/libevent-2.0.so.5
#4  0x00007fe7713b4d40 in epoll_dispatch () at /lib64/libevent-2.0.so.5
#5  0x00007fe77139f8de in event_base_loop () at /lib64/libevent-2.0.so.5
#6  0x00007fe77d9fcd0d in base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) () at /lib64/libQt5WebEngineCore.so.5
#7  0x00007fe77d9f8f88 in base::MessageLoop::RunHandler() () at /lib64/libQt5WebEngineCore.so.5
#8  0x00007fe77da159cb in base::RunLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#9  0x00007fe77d2fdc88 in content::BrowserThreadImpl::FileThreadRun(base::RunLoop*) () at /lib64/libQt5WebEngineCore.so.5
#10 0x00007fe77d2fe4bb in content::BrowserThreadImpl::Run(base::RunLoop*) () at /lib64/libQt5WebEngineCore.so.5
#11 0x00007fe77da2d778 in base::Thread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#12 0x00007fe77da297cb in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#13 0x00007fe7790cd61b in start_thread () at /lib64/libpthread.so.0
#14 0x00007fe78442491f in clone () at /lib64/libc.so.6

Thread 6 (Thread 0x7fe73b7fe700 (LWP 7137)):
#0  0x00007fe7790d3c4b in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007fe77da21b69 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at /lib64/libQt5WebEngineCore.so.5
#2  0x00007fe77da21b97 in base::WaitableEvent::Wait() () at /lib64/libQt5WebEngineCore.so.5
#3  0x00007fe77d9fc6bb in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () at /lib64/libQt5WebEngineCore.so.5
#4  0x00007fe77d9f8f88 in base::MessageLoop::RunHandler() () at /lib64/libQt5WebEngineCore.so.5
#5  0x00007fe77da159cb in base::RunLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#6  0x00007fe77d2fdbd8 in content::BrowserThreadImpl::DBThreadRun(base::RunLoop*) () at /lib64/libQt5WebEngineCore.so.5
#7  0x00007fe77d2fe4ab in content::BrowserThreadImpl::Run(base::RunLoop*) () at /lib64/libQt5WebEngineCore.so.5
#8  0x00007fe77da2d778 in base::Thread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#9  0x00007fe77da297cb in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#10 0x00007fe7790cd61b in start_thread () at /lib64/libpthread.so.0
#11 0x00007fe78442491f in clone () at /lib64/libc.so.6

Thread 5 (Thread 0x7fe75112f700 (LWP 7134)):
#0  0x00007fe7790d3c4b in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007fe77da21b69 in base::WaitableEvent::TimedWait(base::TimeDelta const&) () at /lib64/libQt5WebEngineCore.so.5
#2  0x00007fe77da21b97 in base::WaitableEvent::Wait() () at /lib64/libQt5WebEngineCore.so.5
#3  0x00007fe77d9fc6bb in base::MessagePumpDefault::Run(base::MessagePump::Delegate*) () at /lib64/libQt5WebEngineCore.so.5
#4  0x00007fe77d9f8f88 in base::MessageLoop::RunHandler() () at /lib64/libQt5WebEngineCore.so.5
#5  0x00007fe77da159cb in base::RunLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#6  0x00007fe77da2d6c6 in base::Thread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#7  0x00007fe77da297cb in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#8  0x00007fe7790cd61b in start_thread () at /lib64/libpthread.so.0
#9  0x00007fe78442491f in clone () at /lib64/libc.so.6

Thread 4 (Thread 0x7fe751930700 (LWP 7133)):
#0  0x00007fe7790d6f56 in _pthread_cleanup_push_defer () at /lib64/libpthread.so.0
#1  0x00007fe784363bc8 in buffered_vfprintf () at /lib64/libc.so.6
#2  0x00007fe784360c56 in vfprintf () at /lib64/libc.so.6
#3  0x00007fe784435266 in __fprintf_chk () at /lib64/libc.so.6
#4  0x00007fe7713b03e0 in _warn_helper () at /lib64/libevent-2.0.so.5
#5  0x00007fe7713b05a4 in event_warn () at /lib64/libevent-2.0.so.5
#6  0x00007fe7713b4d40 in epoll_dispatch () at /lib64/libevent-2.0.so.5
#7  0x00007fe77139f8de in event_base_loop () at /lib64/libevent-2.0.so.5
#8  0x00007fe77d9fccb9 in base::MessagePumpLibevent::Run(base::MessagePump::Delegate*) () at /lib64/libQt5WebEngineCore.so.5
#9  0x00007fe77d9f8f88 in base::MessageLoop::RunHandler() () at /lib64/libQt5WebEngineCore.so.5
#10 0x00007fe77da159cb in base::RunLoop::Run() () at /lib64/libQt5WebEngineCore.so.5
#11 0x00007fe77da2d6c6 in base::Thread::ThreadMain() () at /lib64/libQt5WebEngineCore.so.5
#12 0x00007fe77da297cb in base::(anonymous namespace)::ThreadFunc(void*) () at /lib64/libQt5WebEngineCore.so.5
#13 0x00007fe7790cd61b in start_thread () at /lib64/libpthread.so.0
#14 0x00007fe78442491f in clone () at /lib64/libc.so.6

Thread 3 (Thread 0x7fe7542ff700 (LWP 7126)):
#0  0x00007fe784413888 in read () at /lib64/libc.so.6
#1  0x00007fe7745ae0e0 in g_wakeup_acknowledge () at /lib64/libglib-2.0.so.0
#2  0x00007fe7745699e8 in g_main_context_check () at /lib64/libglib-2.0.so.0
#3  0x00007fe774569e80 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#4  0x00007fe774569fec in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#5  0x00007fe78528335b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#6  0x00007fe7852310ea in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#7  0x00007fe7850828ba in QThread::exec() () at /lib64/libQt5Core.so.5
#8  0x00007fe78705b479 in QDBusConnectionManager::run() () at /lib64/libQt5DBus.so.5
#9  0x00007fe785086b92 in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#10 0x00007fe7790cd61b in start_thread () at /lib64/libpthread.so.0
#11 0x00007fe78442491f in clone () at /lib64/libc.so.6

Thread 2 (Thread 0x7fe760a98700 (LWP 7125)):
#0  0x00007fe78441836b in poll () at /lib64/libc.so.6
#1  0x00007fe777d35fe7 in _xcb_conn_wait () at /lib64/libxcb.so.1
#2  0x00007fe777d37dda in xcb_wait_for_event () at /lib64/libxcb.so.1
#3  0x00007fe762daca49 in QXcbEventReader::run() () at /lib64/libQt5XcbQpa.so.5
#4  0x00007fe785086b92 in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#5  0x00007fe7790cd61b in start_thread () at /lib64/libpthread.so.0
#6  0x00007fe78442491f in clone () at /lib64/libc.so.6

Thread 1 (Thread 0x7fe78ae04900 (LWP 7123)):
[KCrash Handler]
#6  0x00007fe78567cff0 in typeinfo for QObject () at /lib64/libQt5Core.so.5
#7  0x00007fe7742f7773 in ContactEditorWidget::storeContact(KContacts::Addressee&, ContactEditor::ContactMetaDataBase&) const () at /lib64/libKF5ContactEditor.so.5
#8  0x00007fe7840a8185 in Akonadi::AkonadiContactEditor::saveContactInAddressBook() () at /lib64/libKF5AkonadiContact.so.5
#9  0x00007fe7840aa70c in QtPrivate::QFunctorSlotObject<Akonadi::ContactEditorDialog::Private::Private(Akonadi::ContactEditorDialog::Mode, Akonadi::ContactEditorDialog::DisplayMode, ContactEditor::AbstractContactEditorWidget*, Akonadi::ContactEditorDialog*)::{lambda()#1}, 0, QtPrivate::List<>, void>::impl(int, QtPrivate::QSlotObjectBase*, QObject*, void**, bool*) () at /lib64/libKF5AkonadiContact.so.5
#10 0x00007fe78525ace7 in QMetaObject::activate(QObject*, int, int, void**) () at /lib64/libQt5Core.so.5
#11 0x00007fe78602d420 in QDialogButtonBoxPrivate::_q_handleButtonClicked() () at /lib64/libQt5Widgets.so.5
#12 0x00007fe78525abc3 in QMetaObject::activate(QObject*, int, int, void**) () at /lib64/libQt5Core.so.5
#13 0x00007fe785f8c2f2 in QAbstractButton::clicked(bool) () at /lib64/libQt5Widgets.so.5
#14 0x00007fe785f8c50a in QAbstractButtonPrivate::emitClicked() () at /lib64/libQt5Widgets.so.5
#15 0x00007fe785f8d91d in QAbstractButtonPrivate::click() () at /lib64/libQt5Widgets.so.5
#16 0x00007fe785f8db14 in QAbstractButton::mouseReleaseEvent(QMouseEvent*) () at /lib64/libQt5Widgets.so.5
#17 0x00007fe785ed9e28 in QWidget::event(QEvent*) () at /lib64/libQt5Widgets.so.5
#18 0x00007fe785e9b6ac in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /lib64/libQt5Widgets.so.5
#19 0x00007fe785ea344f in QApplication::notify(QObject*, QEvent*) () at /lib64/libQt5Widgets.so.5
#20 0x00007fe785232367 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /lib64/libQt5Core.so.5
#21 0x00007fe785ea2422 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () at /lib64/libQt5Widgets.so.5
#22 0x00007fe785ef4bcb in QWidgetWindow::handleMouseEvent(QMouseEvent*) () at /lib64/libQt5Widgets.so.5
#23 0x00007fe785ef726f in QWidgetWindow::event(QEvent*) () at /lib64/libQt5Widgets.so.5
#24 0x00007fe785e9b6ac in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /lib64/libQt5Widgets.so.5
#25 0x00007fe785ea2ef4 in QApplication::notify(QObject*, QEvent*) () at /lib64/libQt5Widgets.so.5
#26 0x00007fe785232367 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /lib64/libQt5Core.so.5
#27 0x00007fe785782753 in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) () at /lib64/libQt5Gui.so.5
#28 0x00007fe785784335 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) () at /lib64/libQt5Gui.so.5
#29 0x00007fe78575e1ab in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Gui.so.5
#30 0x00007fe762e0f7d0 in userEventSourceDispatch(_GSource*, int (*)(void*), void*) () at /lib64/libQt5XcbQpa.so.5
#31 0x00007fe774569bb7 in g_main_context_dispatch () at /lib64/libglib-2.0.so.0
#32 0x00007fe774569f60 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#33 0x00007fe774569fec in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#34 0x00007fe78528333f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#35 0x00007fe7852310ea in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#36 0x00007fe7860861f7 in QDialog::exec() () at /lib64/libQt5Widgets.so.5
#37 0x00007fe7840d0e7a in QtPrivate::QFunctorSlotObject<Akonadi::StandardContactActionManager::createAction(Akonadi::StandardContactActionManager::Type)::{lambda()#3}, 0, QtPrivate::List<>, void>::impl(int, QtPrivate::QSlotObjectBase*, QObject*, void**, bool*) () at /lib64/libKF5AkonadiContact.so.5
#38 0x00007fe78525ace7 in QMetaObject::activate(QObject*, int, int, void**) () at /lib64/libQt5Core.so.5
#39 0x00007fe785e94f52 in QAction::triggered(bool) () at /lib64/libQt5Widgets.so.5
#40 0x00007fe785e9766b in QAction::activate(QAction::ActionEvent) () at /lib64/libQt5Widgets.so.5
#41 0x00007fe786013d74 in QMenuPrivate::activateCausedStack(QVector<QPointer<QWidget> > const&, QAction*, QAction::ActionEvent, bool) () at /lib64/libQt5Widgets.so.5
#42 0x00007fe78601b2eb in QMenuPrivate::activateAction(QAction*, QAction::ActionEvent, bool) () at /lib64/libQt5Widgets.so.5
#43 0x00007fe78601c1b3 in QMenu::mouseReleaseEvent(QMouseEvent*) () at /lib64/libQt5Widgets.so.5
#44 0x00007fe785ed9e28 in QWidget::event(QEvent*) () at /lib64/libQt5Widgets.so.5
#45 0x00007fe78601e48b in QMenu::event(QEvent*) () at /lib64/libQt5Widgets.so.5
#46 0x00007fe785e9b6ac in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /lib64/libQt5Widgets.so.5
#47 0x00007fe785ea344f in QApplication::notify(QObject*, QEvent*) () at /lib64/libQt5Widgets.so.5
#48 0x00007fe785232367 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /lib64/libQt5Core.so.5
#49 0x00007fe785ea2422 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () at /lib64/libQt5Widgets.so.5
#50 0x00007fe785ef4903 in QWidgetWindow::handleMouseEvent(QMouseEvent*) () at /lib64/libQt5Widgets.so.5
#51 0x00007fe785ef726f in QWidgetWindow::event(QEvent*) () at /lib64/libQt5Widgets.so.5
#52 0x00007fe785e9b6ac in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /lib64/libQt5Widgets.so.5
#53 0x00007fe785ea2ef4 in QApplication::notify(QObject*, QEvent*) () at /lib64/libQt5Widgets.so.5
#54 0x00007fe785232367 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /lib64/libQt5Core.so.5
#55 0x00007fe785782753 in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) () at /lib64/libQt5Gui.so.5
#56 0x00007fe785784335 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) () at /lib64/libQt5Gui.so.5
#57 0x00007fe78575e1ab in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Gui.so.5
#58 0x00007fe762e0f7d0 in userEventSourceDispatch(_GSource*, int (*)(void*), void*) () at /lib64/libQt5XcbQpa.so.5
#59 0x00007fe774569bb7 in g_main_context_dispatch () at /lib64/libglib-2.0.so.0
#60 0x00007fe774569f60 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#61 0x00007fe774569fec in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#62 0x00007fe78528333f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#63 0x00007fe7852310ea in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#64 0x00007fe786018fc6 in QMenu::exec(QPoint const&, QAction*) () at /lib64/libQt5Widgets.so.5
#65 0x00007fe783e0f995 in Akonadi::EntityTreeView::contextMenuEvent(QContextMenuEvent*) () at /lib64/libKF5AkonadiWidgets.so.5
#66 0x00007fe785edac26 in QWidget::event(QEvent*) () at /lib64/libQt5Widgets.so.5
#67 0x00007fe785f7ad5e in QFrame::event(QEvent*) () at /lib64/libQt5Widgets.so.5
#68 0x00007fe7860ef0bb in QAbstractItemView::viewportEvent(QEvent*) () at /lib64/libQt5Widgets.so.5
#69 0x00007fe786156e8c in QTreeView::viewportEvent(QEvent*) () at /lib64/libQt5Widgets.so.5
#70 0x00007fe7852320fc in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () at /lib64/libQt5Core.so.5
#71 0x00007fe785e9b685 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /lib64/libQt5Widgets.so.5
#72 0x00007fe785ea3c5e in QApplication::notify(QObject*, QEvent*) () at /lib64/libQt5Widgets.so.5
#73 0x00007fe785232367 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /lib64/libQt5Core.so.5
#74 0x00007fe785ef4d09 in QWidgetWindow::handleMouseEvent(QMouseEvent*) () at /lib64/libQt5Widgets.so.5
#75 0x00007fe785ef726f in QWidgetWindow::event(QEvent*) () at /lib64/libQt5Widgets.so.5
#76 0x00007fe785e9b6ac in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /lib64/libQt5Widgets.so.5
#77 0x00007fe785ea2ef4 in QApplication::notify(QObject*, QEvent*) () at /lib64/libQt5Widgets.so.5
#78 0x00007fe785232367 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /lib64/libQt5Core.so.5
#79 0x00007fe785782753 in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) () at /lib64/libQt5Gui.so.5
#80 0x00007fe785784335 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) () at /lib64/libQt5Gui.so.5
#81 0x00007fe78575e1ab in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Gui.so.5
#82 0x00007fe762e0f7d0 in userEventSourceDispatch(_GSource*, int (*)(void*), void*) () at /lib64/libQt5XcbQpa.so.5
#83 0x00007fe774569bb7 in g_main_context_dispatch () at /lib64/libglib-2.0.so.0
#84 0x00007fe774569f60 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#85 0x00007fe774569fec in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#86 0x00007fe78528333f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#87 0x00007fe7852310ea in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#88 0x00007fe785239744 in QCoreApplication::exec() () at /lib64/libQt5Core.so.5
#89 0x000055e5cca8061d in main ()

Reported using DrKonqi
Comment 1 Christoph Feck 2018-02-14 21:47:52 UTC
*** Bug 390447 has been marked as a duplicate of this bug. ***
Comment 2 Christoph Feck 2018-02-14 21:48:00 UTC
*** Bug 389589 has been marked as a duplicate of this bug. ***
Comment 3 Łukasz 2018-03-08 01:36:07 UTC
I'm having a similar issue with 5.7.2 under Fedora 27: kaddressbook crashes each time I try to edit a contact.

I installed kf5-akonadi-contacts-devel, a package providing /usr/include/KF5/akonadi/contact/contacteditor.h, to no avail.

I'm attaching a log of a crash:

Application: KAddressBook (kaddressbook), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f12489e8e00 (LWP 2612))]

Thread 6 (Thread 0x7f1203a6a700 (LWP 2627)):
#0  0x00007f124194367b in poll () from /lib64/libc.so.6
#1  0x00007f1237d20e99 in g_main_context_iterate.isra () from /lib64/libglib-2.0.so.0
#2  0x00007f1237d20fac in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#3  0x00007f12427afc4b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#4  0x00007f124275d96a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#5  0x00007f12425ae8ca in QThread::exec() () from /lib64/libQt5Core.so.5
#6  0x00007f12425b2de2 in QThreadPrivate::start(void*) () from /lib64/libQt5Core.so.5
#7  0x00007f123fa6361b in start_thread () from /lib64/libpthread.so.0
#8  0x00007f124194fc2f in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7f120dce6700 (LWP 2617)):
#0  0x00007f1237d663f4 in g_mutex_unlock () from /lib64/libglib-2.0.so.0
#1  0x00007f1237d20d4d in g_main_context_iterate.isra () from /lib64/libglib-2.0.so.0
#2  0x00007f1237d20fac in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#3  0x00007f12427afc4b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#4  0x00007f124275d96a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#5  0x00007f12425ae8ca in QThread::exec() () from /lib64/libQt5Core.so.5
#6  0x00007f12425b2de2 in QThreadPrivate::start(void*) () from /lib64/libQt5Core.so.5
#7  0x00007f123fa6361b in start_thread () from /lib64/libpthread.so.0
#8  0x00007f124194fc2f in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7f121723a700 (LWP 2615)):
#0  0x00007f124194367b in poll () from /lib64/libc.so.6
#1  0x00007f1237d20e99 in g_main_context_iterate.isra () from /lib64/libglib-2.0.so.0
#2  0x00007f1237d20fac in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#3  0x00007f12427afc4b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#4  0x00007f124275d96a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#5  0x00007f12425ae8ca in QThread::exec() () from /lib64/libQt5Core.so.5
#6  0x00007f12425b2de2 in QThreadPrivate::start(void*) () from /lib64/libQt5Core.so.5
#7  0x00007f123fa6361b in start_thread () from /lib64/libpthread.so.0
#8  0x00007f124194fc2f in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7f1218651700 (LWP 2614)):
#0  0x00007f124194367b in poll () from /lib64/libc.so.6
#1  0x00007f1237d20e99 in g_main_context_iterate.isra () from /lib64/libglib-2.0.so.0
#2  0x00007f1237d20fac in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#3  0x00007f12427afc4b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#4  0x00007f124275d96a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#5  0x00007f12425ae8ca in QThread::exec() () from /lib64/libQt5Core.so.5
#6  0x00007f124430e449 in QDBusConnectionManager::run() () from /lib64/libQt5DBus.so.5
#7  0x00007f12425b2de2 in QThreadPrivate::start(void*) () from /lib64/libQt5Core.so.5
#8  0x00007f123fa6361b in start_thread () from /lib64/libpthread.so.0
#9  0x00007f124194fc2f in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7f12256bc700 (LWP 2613)):
#0  0x00007f124194367b in poll () from /lib64/libc.so.6
#1  0x00007f12376a9fe7 in _xcb_conn_wait () from /lib64/libxcb.so.1
#2  0x00007f12376abdda in xcb_wait_for_event () from /lib64/libxcb.so.1
#3  0x00007f1228055bf9 in QXcbEventReader::run() () from /lib64/libQt5XcbQpa.so.5
#4  0x00007f12425b2de2 in QThreadPrivate::start(void*) () from /lib64/libQt5Core.so.5
#5  0x00007f123fa6361b in start_thread () from /lib64/libpthread.so.0
#6  0x00007f124194fc2f in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7f12489e8e00 (LWP 2612)):
[KCrash Handler]
#6  0x00007f123d5f9239 in ContactEditor::AddressesLocationWidget::loadContact(KContacts::Addressee const&) () from /lib64/libKF5ContactEditor.so.5
#7  0x00007f123d61b6f5 in ContactEditorWidget::loadContact(KContacts::Addressee const&, ContactEditor::ContactMetaDataBase const&) () from /lib64/libKF5ContactEditor.so.5
#8  0x00007f12477d93f8 in Akonadi::AkonadiContactEditor::Private::parentCollectionFetchDone(KJob*) () from /lib64/libKF5AkonadiContact.so.5
#9  0x00007f1242787637 in QMetaObject::activate(QObject*, int, int, void**) () from /lib64/libQt5Core.so.5
#10 0x00007f1242bedadc in KJob::result(KJob*, KJob::QPrivateSignal) () from /lib64/libKF5CoreAddons.so.5
#11 0x00007f1242bee611 in KJob::finishJob(bool) () from /lib64/libKF5CoreAddons.so.5
#12 0x00007f1242793934 in QSingleShotTimer::timerEvent(QTimerEvent*) () from /lib64/libQt5Core.so.5
#13 0x00007f124278821b in QObject::event(QEvent*) () from /lib64/libQt5Core.so.5
#14 0x00007f124365f92c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /lib64/libQt5Widgets.so.5
#15 0x00007f1243667174 in QApplication::notify(QObject*, QEvent*) () from /lib64/libQt5Widgets.so.5
#16 0x00007f124275ebe7 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /lib64/libQt5Core.so.5
#17 0x00007f12427aef5b in QTimerInfoList::activateTimers() () from /lib64/libQt5Core.so.5
#18 0x00007f12427af7f1 in timerSourceDispatch(_GSource*, int (*)(void*), void*) () from /lib64/libQt5Core.so.5
#19 0x00007f1237d20b77 in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#20 0x00007f1237d20f20 in g_main_context_iterate.isra () from /lib64/libglib-2.0.so.0
#21 0x00007f1237d20fac in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#22 0x00007f12427afc2f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#23 0x00007f124275d96a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#24 0x00007f124384af47 in QDialog::exec() () from /lib64/libQt5Widgets.so.5
#25 0x00007f1247801dd7 in QtPrivate::QFunctorSlotObject<Akonadi::StandardContactActionManager::createAction(Akonadi::StandardContactActionManager::Type)::{lambda()#9}, 0, QtPrivate::List<>, void>::impl(int, QtPrivate::QSlotObjectBase*, QObject*, void**, bool*) () from /lib64/libKF5AkonadiContact.so.5
#26 0x00007f1242787637 in QMetaObject::activate(QObject*, int, int, void**) () from /lib64/libQt5Core.so.5
#27 0x00007f12436591b2 in QAction::triggered(bool) () from /lib64/libQt5Widgets.so.5
#28 0x00007f124365b8cb in QAction::activate(QAction::ActionEvent) () from /lib64/libQt5Widgets.so.5
#29 0x00007f1242787637 in QMetaObject::activate(QObject*, int, int, void**) () from /lib64/libQt5Core.so.5
#30 0x00007f1247540c75 in Akonadi::EntityTreeView::doubleClicked(Akonadi::Item const&) () from /lib64/libKF5AkonadiWidgets.so.5
#31 0x00007f12475419f4 in Akonadi::EntityTreeView::Private::itemDoubleClicked(QModelIndex const&) () from /lib64/libKF5AkonadiWidgets.so.5
#32 0x00007f12475421d5 in Akonadi::EntityTreeView::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) () from /lib64/libKF5AkonadiWidgets.so.5
#33 0x00007f1242787513 in QMetaObject::activate(QObject*, int, int, void**) () from /lib64/libQt5Core.so.5
#34 0x00007f12438a7f75 in QAbstractItemView::doubleClicked(QModelIndex const&) () from /lib64/libQt5Widgets.so.5
#35 0x00007f1243919fcb in QTreeView::mouseDoubleClickEvent(QMouseEvent*) () from /lib64/libQt5Widgets.so.5
#36 0x00007f124369eb6f in QWidget::event(QEvent*) () from /lib64/libQt5Widgets.so.5
#37 0x00007f124373f70e in QFrame::event(QEvent*) () from /lib64/libQt5Widgets.so.5
#38 0x00007f12438b3edb in QAbstractItemView::viewportEvent(QEvent*) () from /lib64/libQt5Widgets.so.5
#39 0x00007f124391c04c in QTreeView::viewportEvent(QEvent*) () from /lib64/libQt5Widgets.so.5
#40 0x00007f124275e97c in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /lib64/libQt5Core.so.5
#41 0x00007f124365f905 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /lib64/libQt5Widgets.so.5
#42 0x00007f12436676cf in QApplication::notify(QObject*, QEvent*) () from /lib64/libQt5Widgets.so.5
#43 0x00007f124275ebe7 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /lib64/libQt5Core.so.5
#44 0x00007f12436666a2 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /lib64/libQt5Widgets.so.5
#45 0x00007f12436b947b in QWidgetWindow::handleMouseEvent(QMouseEvent*) () from /lib64/libQt5Widgets.so.5
#46 0x00007f12436bbb1f in QWidgetWindow::event(QEvent*) () from /lib64/libQt5Widgets.so.5
#47 0x00007f124365f92c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /lib64/libQt5Widgets.so.5
#48 0x00007f1243667174 in QApplication::notify(QObject*, QEvent*) () from /lib64/libQt5Widgets.so.5
#49 0x00007f124275ebe7 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /lib64/libQt5Core.so.5
#50 0x00007f1242f45a76 in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) () from /lib64/libQt5Gui.so.5
#51 0x00007f1242f47495 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) () from /lib64/libQt5Gui.so.5
#52 0x00007f1242f2079b in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Gui.so.5
#53 0x00007f12280b8b60 in userEventSourceDispatch(_GSource*, int (*)(void*), void*) () from /lib64/libQt5XcbQpa.so.5
#54 0x00007f1237d20b77 in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#55 0x00007f1237d20f20 in g_main_context_iterate.isra () from /lib64/libglib-2.0.so.0
#56 0x00007f1237d20fac in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#57 0x00007f12427afc2f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#58 0x00007f124275d96a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQt5Core.so.5
#59 0x00007f1242766094 in QCoreApplication::exec() () from /lib64/libQt5Core.so.5
#60 0x0000561cd5108461 in main ()
Comment 4 Christoph Feck 2018-03-30 02:10:06 UTC
Comment #3 is bug 389081.
Comment 5 Justin Zobel 2020-12-17 05:35:37 UTC
Thank you for the crash report.

As it has been a while since this was reported, can you please test and confirm if this issue is still occurring or if this bug report can be marked as resolved.

I have set the bug status to "needsinfo" pending your response, please change back to "reported" or "resolved/worksforme" when you respond, thank you.
Comment 6 Bug Janitor Service 2021-01-01 04:37:58 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least
15 days. Please provide the requested information as soon as
possible and set the bug status as REPORTED. Due to regular bug
tracker maintenance, if the bug is still in NEEDSINFO status with
no change in 30 days the bug will be closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please
mark the bug as REPORTED so that the KDE team knows that the bug is
ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!
Comment 7 Bug Janitor Service 2021-01-16 04:36:52 UTC
This bug has been in NEEDSINFO status with no change for at least
30 days. The bug is now closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

Thank you for helping us make KDE software even better for everyone!